Index: trunk/Cocoa/F-Script Anywhere/Source/English.lproj/MainMenu.nib/info.nib
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/English.lproj/MainMenu.nib/info.nib	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/English.lproj/MainMenu.nib/info.nib	(revision 19)
@@ -11,5 +11,5 @@
 	</dict>
 	<key>IBFramework Version</key>
-	<string>283.0</string>
+	<string>286.0</string>
 	<key>IBOpenObjects</key>
 	<array>
@@ -18,5 +18,5 @@
 	</array>
 	<key>IBSystem Version</key>
-	<string>6C115</string>
+	<string>6D52</string>
 </dict>
 </plist>
Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/nicholas.pbxuser
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/nicholas.pbxuser	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/nicholas.pbxuser	(revision 19)
@@ -24,16 +24,16 @@
 		);
 		perUserDictionary = {
-			PBXPerProjectTemplateStateSaveDate = 55214324;
+			PBXPerProjectTemplateStateSaveDate = 55866266;
 			"PBXTemplateGeometry-F5314676015831810DCA290F" = {
-				ContentSize = "{685, 434}";
+				ContentSize = "{618, 257}";
 				LeftSlideOut = {
 					Collapsed = NO;
-					Frame = "{{0, 23}, {685, 411}}";
+					Frame = "{{0, 23}, {618, 234}}";
 					Split0 = {
 						ActiveTab = 2;
-						Collapsed = NO;
-						Frame = "{{0, 0}, {685, 411}}";
+						Collapsed = YES;
+						Frame = "{{0, 0}, {618, 234}}";
 						Split0 = {
-							Frame = "{{0, 221}, {685, 190}}";
+							Frame = "{{1e+06, 1e+06}, {618, 0}}";
 						};
 						SplitCount = 1;
@@ -81,7 +81,7 @@
 						};
 						Tab2 = {
-							BuildMessageFrame = "{{0, 0}, {687, 149}}";
-							BuildTranscriptFrame = "{{0, 158}, {687, 59}}";
-							Frame = "{{0, 0}, {685, 215}}";
+							BuildMessageFrame = "{{0, 0}, {620, 123}}";
+							BuildTranscriptFrame = "{{0, 132}, {620, 98}}";
+							Frame = "{{0, 0}, {618, 228}}";
 						};
 						Tab3 = {
@@ -145,5 +145,248 @@
 				Template = F5314676015831810DCA290F;
 				ToolbarVisible = YES;
-				WindowLocation = "{589, 87}";
+				WindowLocation = "{453, 592}";
+			};
+			"PBXTemplateGeometry-F5534CB2020F3F8A0DCA290F" = {
+				ContentSize = "{594, 303}";
+				LeftSlideOut = {
+					Collapsed = NO;
+					Frame = "{{0, 23}, {594, 280}}";
+					Split0 = {
+						ActiveTab = 1;
+						Collapsed = YES;
+						Frame = "{{0, 0}, {594, 280}}";
+						Split0 = {
+							Frame = "{{1e+06, 1e+06}, {594, 0}}";
+						};
+						SplitCount = 1;
+						Tab0 = {
+							Debugger = {
+								Collapsed = NO;
+								Frame = "{{0, 0}, {804, 321}}";
+								Split0 = {
+									Frame = "{{0, 24}, {804, 297}}";
+									Split0 = {
+										Frame = "{{0, 0}, {394, 297}}";
+									};
+									Split1 = {
+										DebugVariablesTableConfiguration = (
+											Name,
+											123,
+											Value,
+											85,
+											Summary,
+											167.123,
+										);
+										Frame = "{{403, 0}, {401, 297}}";
+									};
+									SplitCount = 2;
+								};
+								SplitCount = 1;
+								Tab0 = {
+									Frame = "{{0, 0}, {100, 50}}";
+								};
+								Tab1 = {
+									Frame = "{{0, 0}, {100, 50}}";
+								};
+								TabCount = 2;
+								TabsVisible = YES;
+							};
+							Frame = "{{0, 0}, {804, 321}}";
+							LauncherConfigVersion = 7;
+						};
+						Tab1 = {
+							Frame = "{{0, 0}, {594, 274}}";
+							LauncherConfigVersion = 3;
+							Runner = {
+								Frame = "{{0, 0}, {594, 274}}";
+							};
+						};
+						Tab2 = {
+							BuildMessageFrame = "{{0, 0}, {806, 237}}";
+							BuildTranscriptFrame = "{{0, 246}, {806, 3}}";
+							Frame = "{{0, 0}, {804, 247}}";
+						};
+						Tab3 = {
+							Frame = "{{0, 0}, {612, 295}}";
+						};
+						TabCount = 4;
+						TabsVisible = NO;
+					};
+					SplitCount = 1;
+					Tab0 = {
+						Frame = "{{0, 0}, {300, 533}}";
+						GroupTreeTableConfiguration = (
+							TargetStatusColumn,
+							18,
+							MainColumn,
+							267,
+						);
+					};
+					Tab1 = {
+						ClassesFrame = "{{0, 0}, {280, 398}}";
+						ClassesTreeTableConfiguration = (
+							PBXBookColumnIdentifier,
+							20,
+							PBXClassColumnIdentifier,
+							237,
+						);
+						Frame = "{{0, 0}, {278, 659}}";
+						MembersFrame = "{{0, 407}, {280, 252}}";
+						MembersTreeTableConfiguration = (
+							PBXBookColumnIdentifier,
+							20,
+							PBXMethodColumnIdentifier,
+							236,
+						);
+					};
+					Tab2 = {
+						Frame = "{{0, 0}, {200, 100}}";
+					};
+					Tab3 = {
+						Frame = "{{0, 0}, {200, 386}}";
+						TargetTableConfiguration = (
+							ActiveObject,
+							16,
+							ObjectNames,
+							202.296,
+						);
+					};
+					Tab4 = {
+						BreakpointsTreeTableConfiguration = (
+							breakpointColumn,
+							197,
+							enabledColumn,
+							31,
+						);
+						Frame = "{{0, 0}, {250, 386}}";
+					};
+					TabCount = 5;
+					TabsVisible = NO;
+				};
+				StatusViewVisible = YES;
+				Template = F5534CB2020F3F8A0DCA290F;
+				ToolbarVisible = YES;
+				WindowLocation = "{52, 554}";
+			};
+			"PBXTemplateGeometry-F5CA7EC8015C06940DCA290F" = {
+				ContentSize = "{705, 569}";
+				LeftSlideOut = {
+					Collapsed = NO;
+					Frame = "{{0, 0}, {705, 569}}";
+					Split0 = {
+						Collapsed = NO;
+						Frame = "{{0, 0}, {705, 569}}";
+						Split0 = {
+							Frame = "{{0, 0}, {705, 569}}";
+						};
+						SplitCount = 1;
+						Tab0 = {
+							Debugger = {
+								Collapsed = NO;
+								Frame = "{{0, 0}, {484, 208}}";
+								Split0 = {
+									Frame = "{{0, 24}, {484, 184}}";
+									Split0 = {
+										Frame = "{{0, 0}, {236, 184}}";
+									};
+									Split1 = {
+										DebugVariablesTableConfiguration = (
+											Name,
+											123,
+											Value,
+											85,
+											Summary,
+											62.123,
+										);
+										Frame = "{{245, 0}, {239, 184}}";
+									};
+									SplitCount = 2;
+								};
+								SplitCount = 1;
+								Tab0 = {
+									Frame = "{{0, 0}, {100, 50}}";
+								};
+								Tab1 = {
+									Frame = "{{0, 0}, {100, 50}}";
+								};
+								TabCount = 2;
+								TabsVisible = YES;
+							};
+							Frame = "{{0, 0}, {484, 208}}";
+							LauncherConfigVersion = 7;
+						};
+						Tab1 = {
+							Frame = "{{0, 0}, {522, 208}}";
+							LauncherConfigVersion = 3;
+							Runner = {
+								Frame = "{{0, 0}, {522, 208}}";
+							};
+						};
+						Tab2 = {
+							BuildMessageFrame = "{{0, 0}, {809, 410}}";
+							BuildTranscriptFrame = "{{0, 419}, {809, 119}}";
+							Frame = "{{0, 0}, {807, 536}}";
+						};
+						Tab3 = {
+							Frame = "{{0, 0}, {612, 295}}";
+						};
+						TabCount = 4;
+						TabsVisible = NO;
+					};
+					SplitCount = 1;
+					Tab0 = {
+						Frame = "{{0, 0}, {300, 533}}";
+						GroupTreeTableConfiguration = (
+							TargetStatusColumn,
+							18,
+							MainColumn,
+							267,
+						);
+					};
+					Tab1 = {
+						ClassesFrame = "{{0, 0}, {280, 398}}";
+						ClassesTreeTableConfiguration = (
+							PBXBookColumnIdentifier,
+							20,
+							PBXClassColumnIdentifier,
+							237,
+						);
+						Frame = "{{0, 0}, {278, 659}}";
+						MembersFrame = "{{0, 407}, {280, 252}}";
+						MembersTreeTableConfiguration = (
+							PBXBookColumnIdentifier,
+							20,
+							PBXMethodColumnIdentifier,
+							236,
+						);
+					};
+					Tab2 = {
+						Frame = "{{0, 0}, {200, 100}}";
+					};
+					Tab3 = {
+						Frame = "{{0, 0}, {222, 536}}";
+						TargetTableConfiguration = (
+							ActiveObject,
+							16,
+							ObjectNames,
+							202.296,
+						);
+					};
+					Tab4 = {
+						BreakpointsTreeTableConfiguration = (
+							breakpointColumn,
+							197,
+							enabledColumn,
+							31,
+						);
+						Frame = "{{0, 0}, {250, 528}}";
+					};
+					TabCount = 5;
+					TabsVisible = NO;
+				};
+				StatusViewVisible = NO;
+				Template = F5CA7EC8015C06940DCA290F;
+				ToolbarVisible = YES;
+				WindowLocation = "{11, 351}";
 			};
 			"PBXTemplateGeometry-F5CA7ECB015C094F0DCA290F" = {
@@ -266,128 +509,5 @@
 				Template = F5CA7ECB015C094F0DCA290F;
 				ToolbarVisible = NO;
-				WindowLocation = "{489, 236}";
-			};
-			"PBXTemplateGeometry-F5CA7ECC015C09990DCA290F" = {
-				ContentSize = "{773, 558}";
-				LeftSlideOut = {
-					Collapsed = NO;
-					Frame = "{{0, 23}, {773, 535}}";
-					Split0 = {
-						ActiveTab = 0;
-						Collapsed = NO;
-						Frame = "{{24, 0}, {749, 535}}";
-						Split0 = {
-							Frame = "{{0, 273}, {749, 262}}";
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Debugger = {
-								ActiveTab = 1;
-								Collapsed = NO;
-								Frame = "{{0, 0}, {749, 267}}";
-								Split0 = {
-									Frame = "{{0, 169}, {749, 98}}";
-									Split0 = {
-										Frame = "{{0, 0}, {366, 98}}";
-									};
-									Split1 = {
-										DebugVariablesTableConfiguration = (
-											Name,
-											93.80298,
-											Value,
-											116.074,
-											Summary,
-											138.123,
-										);
-										Frame = "{{375, 0}, {374, 98}}";
-									};
-									SplitCount = 2;
-								};
-								SplitCount = 1;
-								Tab0 = {
-									Frame = "{{0, 0}, {100, 50}}";
-								};
-								Tab1 = {
-									Frame = "{{0, 0}, {749, 145}}";
-								};
-								TabCount = 2;
-								TabsVisible = YES;
-							};
-							Frame = "{{0, 0}, {749, 267}}";
-							LauncherConfigVersion = 7;
-						};
-						Tab1 = {
-							Frame = "{{0, 0}, {664, 208}}";
-							LauncherConfigVersion = 3;
-							Runner = {
-								Frame = "{{0, 0}, {664, 208}}";
-							};
-						};
-						Tab2 = {
-							BuildMessageFrame = "{{0, 0}, {666, 43}}";
-							BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
-							Frame = "{{0, 0}, {664, 50}}";
-						};
-						Tab3 = {
-							Frame = "{{0, 0}, {612, 295}}";
-						};
-						TabCount = 4;
-						TabsVisible = NO;
-					};
-					SplitCount = 1;
-					Tab0 = {
-						Frame = "{{0, 0}, {313, 531}}";
-						GroupTreeTableConfiguration = (
-							TargetStatusColumn,
-							18,
-							MainColumn,
-							280,
-						);
-					};
-					Tab1 = {
-						ClassesFrame = "{{0, 0}, {280, 398}}";
-						ClassesTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXClassColumnIdentifier,
-							237,
-						);
-						Frame = "{{0, 0}, {278, 659}}";
-						MembersFrame = "{{0, 407}, {280, 252}}";
-						MembersTreeTableConfiguration = (
-							PBXBookColumnIdentifier,
-							20,
-							PBXMethodColumnIdentifier,
-							236,
-						);
-					};
-					Tab2 = {
-						Frame = "{{0, 0}, {200, 100}}";
-					};
-					Tab3 = {
-						Frame = "{{0, 0}, {200, 557}}";
-						TargetTableConfiguration = (
-							ActiveObject,
-							16,
-							ObjectNames,
-							202.296,
-						);
-					};
-					Tab4 = {
-						BreakpointsTreeTableConfiguration = (
-							breakpointColumn,
-							197,
-							enabledColumn,
-							31,
-						);
-						Frame = "{{0, 0}, {250, 100}}";
-					};
-					TabCount = 5;
-					TabsVisible = YES;
-				};
-				StatusViewVisible = YES;
-				Template = F5CA7ECC015C09990DCA290F;
-				ToolbarVisible = YES;
-				WindowLocation = "{13, 212}";
+				WindowLocation = "{48, 349}";
 			};
 			PBXWorkspaceContents = (
@@ -396,26 +516,7 @@
 						Split0 = {
 							Split0 = {
-								NavContent0 = {
-									bookmark = F5486B9D034A85A801AEEDB1;
-									history = (
-										F5486B91034A85A801AEEDB1,
-										F5486B92034A85A801AEEDB1,
-										F5486B93034A85A801AEEDB1,
-										F5486B94034A85A801AEEDB1,
-										F5486B95034A85A801AEEDB1,
-									);
-									prevStack = (
-										F5486B96034A85A801AEEDB1,
-										F5486B97034A85A801AEEDB1,
-										F5486B98034A85A801AEEDB1,
-										F5486B99034A85A801AEEDB1,
-										F5486B9A034A85A801AEEDB1,
-										F5486B9B034A85A801AEEDB1,
-										F5486B9C034A85A801AEEDB1,
-									);
-								};
 								NavCount = 1;
 								NavGeometry0 = {
-									Frame = "{{0, 0}, {643, 567}}";
+									Frame = "{{0, 0}, {150, 530}}";
 									NavBarVisible = YES;
 								};
@@ -446,52 +547,17 @@
 					};
 				},
-				{
-					LeftSlideOut = {
-						Split0 = {
-							Split0 = {
-								NavCount = 1;
-								NavGeometry0 = {
-									Frame = "{{0, 0}, {594, 150}}";
-									NavBarVisible = YES;
-								};
-							};
-							SplitCount = 1;
-							Tab0 = {
-								Debugger = {
-									Split0 = {
-										SplitCount = 2;
-									};
-									SplitCount = 1;
-									TabCount = 2;
-								};
-								LauncherConfigVersion = 7;
-							};
-							Tab1 = {
-								LauncherConfigVersion = 3;
-								Runner = {
-								};
-							};
-							TabCount = 4;
-						};
-						SplitCount = 1;
-						Tab1 = {
-							OptionsSetName = "Hierarchy, all classes";
-						};
-						TabCount = 5;
-					};
-				},
 			);
 			PBXWorkspaceGeometries = (
 				{
-					ContentSize = "{927, 590}";
+					ContentSize = "{352, 553}";
 					LeftSlideOut = {
 						ActiveTab = 0;
-						Collapsed = NO;
-						Frame = "{{0, 23}, {927, 567}}";
+						Collapsed = YES;
+						Frame = "{{0, 23}, {352, 530}}";
 						Split0 = {
 							Collapsed = NO;
-							Frame = "{{284, 0}, {643, 567}}";
+							Frame = "{{1e+06, 1e+06}, {0, 530}}";
 							Split0 = {
-								Frame = "{{0, 0}, {643, 567}}";
+								Frame = "{{0, 0}, {0, 530}}";
 							};
 							SplitCount = 1;
@@ -499,131 +565,9 @@
 								Debugger = {
 									Collapsed = NO;
-									Frame = "{{0, 0}, {681, 289}}";
+									Frame = "{{0, 0}, {484, 208}}";
 									Split0 = {
-										Frame = "{{0, 24}, {681, 265}}";
+										Frame = "{{0, 24}, {484, 184}}";
 										Split0 = {
-											Frame = "{{0, 0}, {333, 265}}";
-										};
-										Split1 = {
-											DebugVariablesTableConfiguration = (
-												Name,
-												82.80298,
-												Value,
-												104.074,
-												Summary,
-												126.123,
-											);
-											Frame = "{{342, 0}, {339, 265}}";
-										};
-										SplitCount = 2;
-									};
-									SplitCount = 1;
-									Tab0 = {
-										Frame = "{{0, 0}, {100, 50}}";
-									};
-									Tab1 = {
-										Frame = "{{0, 0}, {100, 50}}";
-									};
-									TabCount = 2;
-									TabsVisible = YES;
-								};
-								Frame = "{{0, 0}, {681, 289}}";
-								LauncherConfigVersion = 7;
-							};
-							Tab1 = {
-								Frame = "{{0, 0}, {681, 120}}";
-								LauncherConfigVersion = 3;
-								Runner = {
-									Frame = "{{0, 0}, {681, 120}}";
-								};
-							};
-							Tab2 = {
-								BuildMessageFrame = "{{0, 0}, {683, 127}}";
-								BuildTranscriptFrame = "{{0, 136}, {683, 100}}";
-								Frame = "{{0, 0}, {681, 234}}";
-							};
-							Tab3 = {
-								Frame = "{{0, 0}, {681, 238}}";
-							};
-							TabCount = 4;
-							TabsVisible = NO;
-						};
-						SplitCount = 1;
-						Tab0 = {
-							Frame = "{{0, 0}, {260, 567}}";
-							GroupTreeTableConfiguration = (
-								TargetStatusColumn,
-								18,
-								MainColumn,
-								227,
-							);
-						};
-						Tab1 = {
-							ClassesFrame = "{{0, 0}, {250, 333}}";
-							ClassesTreeTableConfiguration = (
-								PBXBookColumnIdentifier,
-								20,
-								PBXClassColumnIdentifier,
-								207,
-							);
-							Frame = "{{0, 0}, {248, 554}}";
-							MembersFrame = "{{0, 342}, {250, 212}}";
-							MembersTreeTableConfiguration = (
-								PBXBookColumnIdentifier,
-								20,
-								PBXMethodColumnIdentifier,
-								206,
-							);
-						};
-						Tab2 = {
-							Frame = "{{0, 0}, {217, 554}}";
-						};
-						Tab3 = {
-							Frame = "{{0, 0}, {239, 554}}";
-							TargetTableConfiguration = (
-								ActiveObject,
-								16,
-								ObjectNames,
-								206.296,
-							);
-						};
-						Tab4 = {
-							BreakpointsTreeTableConfiguration = (
-								breakpointColumn,
-								197,
-								enabledColumn,
-								31,
-							);
-							Frame = "{{0, 0}, {250, 554}}";
-						};
-						TabCount = 5;
-						TabsVisible = YES;
-					};
-					StatusViewVisible = YES;
-					Template = 64ABBB4501FA494900185B06;
-					ToolbarVisible = YES;
-					WindowLocation = "{9, 520}";
-				},
-				{
-					ContentSize = "{594, 303}";
-					LeftSlideOut = {
-						Collapsed = NO;
-						Frame = "{{0, 23}, {594, 280}}";
-						Split0 = {
-							ActiveTab = 1;
-							Collapsed = YES;
-							Frame = "{{0, 0}, {594, 280}}";
-							Split0 = {
-								Frame = "{{1e+06, 1e+06}, {594, 0}}";
-							};
-							SplitCount = 1;
-							Tab0 = {
-								Debugger = {
-									Collapsed = NO;
-									Frame = "{{0, 0}, {804, 321}}";
-									Split0 = {
-										Frame = "{{0, 24}, {804, 297}}";
-										Split0 = {
-											Frame = "{{0, 0}, {394, 297}}";
+											Frame = "{{0, 0}, {236, 184}}";
 										};
 										Split1 = {
@@ -634,7 +578,7 @@
 												85,
 												Summary,
-												167.123,
+												62.123,
 											);
-											Frame = "{{403, 0}, {401, 297}}";
+											Frame = "{{245, 0}, {239, 184}}";
 										};
 										SplitCount = 2;
@@ -650,18 +594,18 @@
 									TabsVisible = YES;
 								};
-								Frame = "{{0, 0}, {804, 321}}";
+								Frame = "{{0, 0}, {484, 208}}";
 								LauncherConfigVersion = 7;
 							};
 							Tab1 = {
-								Frame = "{{0, 0}, {594, 274}}";
+								Frame = "{{0, 0}, {664, 208}}";
 								LauncherConfigVersion = 3;
 								Runner = {
-									Frame = "{{0, 0}, {594, 274}}";
+									Frame = "{{0, 0}, {664, 208}}";
 								};
 							};
 							Tab2 = {
-								BuildMessageFrame = "{{0, 0}, {806, 237}}";
-								BuildTranscriptFrame = "{{0, 246}, {806, 3}}";
-								Frame = "{{0, 0}, {804, 247}}";
+								BuildMessageFrame = "{{0, 0}, {666, 43}}";
+								BuildTranscriptFrame = "{{0, 52}, {666, 0}}";
+								Frame = "{{0, 0}, {664, 50}}";
 							};
 							Tab3 = {
@@ -673,39 +617,39 @@
 						SplitCount = 1;
 						Tab0 = {
-							Frame = "{{0, 0}, {300, 533}}";
+							Frame = "{{0, 0}, {328, 530}}";
 							GroupTreeTableConfiguration = (
 								TargetStatusColumn,
 								18,
 								MainColumn,
-								267,
+								295,
 							);
 						};
 						Tab1 = {
-							ClassesFrame = "{{0, 0}, {280, 398}}";
+							ClassesFrame = "{{0, 0}, {343, 348}}";
 							ClassesTreeTableConfiguration = (
 								PBXBookColumnIdentifier,
 								20,
 								PBXClassColumnIdentifier,
-								237,
+								300,
 							);
-							Frame = "{{0, 0}, {278, 659}}";
-							MembersFrame = "{{0, 407}, {280, 252}}";
+							Frame = "{{0, 0}, {341, 578}}";
+							MembersFrame = "{{0, 357}, {343, 221}}";
 							MembersTreeTableConfiguration = (
 								PBXBookColumnIdentifier,
 								20,
 								PBXMethodColumnIdentifier,
-								236,
+								299,
 							);
 						};
 						Tab2 = {
-							Frame = "{{0, 0}, {200, 100}}";
+							Frame = "{{0, 0}, {319, 576}}";
 						};
 						Tab3 = {
-							Frame = "{{0, 0}, {200, 386}}";
+							Frame = "{{0, 0}, {341, 578}}";
 							TargetTableConfiguration = (
 								ActiveObject,
 								16,
 								ObjectNames,
-								202.296,
+								308.296,
 							);
 						};
@@ -713,35 +657,20 @@
 							BreakpointsTreeTableConfiguration = (
 								breakpointColumn,
-								197,
+								266,
 								enabledColumn,
 								31,
 							);
-							Frame = "{{0, 0}, {250, 386}}";
+							Frame = "{{0, 0}, {319, 576}}";
 						};
 						TabCount = 5;
-						TabsVisible = NO;
+						TabsVisible = YES;
 					};
 					StatusViewVisible = YES;
-					Template = F5534CB2020F3F8A0DCA290F;
+					Template = F5E465990156DFB90DCA290F;
 					ToolbarVisible = YES;
-					WindowLocation = "{4, 633}";
+					WindowLocation = "{12, 563}";
 				},
 			);
-			PBXWorkspaceStateSaveDate = 55214324;
-		};
-		perUserProjectItems = {
-			F5486B91034A85A801AEEDB1 = F5486B91034A85A801AEEDB1;
-			F5486B92034A85A801AEEDB1 = F5486B92034A85A801AEEDB1;
-			F5486B93034A85A801AEEDB1 = F5486B93034A85A801AEEDB1;
-			F5486B94034A85A801AEEDB1 = F5486B94034A85A801AEEDB1;
-			F5486B95034A85A801AEEDB1 = F5486B95034A85A801AEEDB1;
-			F5486B96034A85A801AEEDB1 = F5486B96034A85A801AEEDB1;
-			F5486B97034A85A801AEEDB1 = F5486B97034A85A801AEEDB1;
-			F5486B98034A85A801AEEDB1 = F5486B98034A85A801AEEDB1;
-			F5486B99034A85A801AEEDB1 = F5486B99034A85A801AEEDB1;
-			F5486B9A034A85A801AEEDB1 = F5486B9A034A85A801AEEDB1;
-			F5486B9B034A85A801AEEDB1 = F5486B9B034A85A801AEEDB1;
-			F5486B9C034A85A801AEEDB1 = F5486B9C034A85A801AEEDB1;
-			F5486B9D034A85A801AEEDB1 = F5486B9D034A85A801AEEDB1;
+			PBXWorkspaceStateSaveDate = 55866266;
 		};
 		projectwideBuildSettings = {
@@ -761,134 +690,4 @@
 		lineNumber = 162;
 		state = 2;
-	};
-	F5486B91034A85A801AEEDB1 = {
-		fRef = F5EFC2C9020A6CD101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "DeVercruesseProcess.m: initWithPSN:";
-		rLen = 0;
-		rLoc = 2022;
-		rType = 0;
-		vrLen = 863;
-		vrLoc = 1426;
-	};
-	F5486B92034A85A801AEEDB1 = {
-		fRef = F5FF50BD02E53B9E01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAViewAssociationController.m: __STDC__";
-		rLen = 0;
-		rLoc = 179;
-		rType = 0;
-		vrLen = 1261;
-		vrLoc = 0;
-	};
-	F5486B93034A85A801AEEDB1 = {
-		fRef = F5FD788A034828E101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAWindowManager.m: 270";
-		rLen = 0;
-		rLoc = 8244;
-		rType = 0;
-		vrLen = 1209;
-		vrLoc = 6919;
-	};
-	F5486B94034A85A801AEEDB1 = {
-		fRef = F574ADDB020ACAC801AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAController.m: FSA_associateWithInterface:";
-		rLen = 0;
-		rLoc = 8299;
-		rType = 0;
-		vrLen = 1094;
-		vrLoc = 7296;
-	};
-	F5486B95034A85A801AEEDB1 = {
-		fRef = F523EA2B020CF06A01AEEC37;
-		isa = PBXTextBookmark;
-		name = "FSAnywhere.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 319;
-		vrLoc = 0;
-	};
-	F5486B96034A85A801AEEDB1 = {
-		fRef = F5EFC2C9020A6CD101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "DeVercruesseProcess.m: initWithPSN:";
-		rLen = 0;
-		rLoc = 2022;
-		rType = 0;
-		vrLen = 863;
-		vrLoc = 1426;
-	};
-	F5486B97034A85A801AEEDB1 = {
-		fRef = F523EA2B020CF06A01AEEC37;
-		isa = PBXTextBookmark;
-		name = "FSAnywhere.h: 1";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 319;
-		vrLoc = 0;
-	};
-	F5486B98034A85A801AEEDB1 = {
-		fRef = F574ADDB020ACAC801AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAController.m: __VERSION__";
-		rLen = 0;
-		rLoc = 0;
-		rType = 0;
-		vrLen = 1163;
-		vrLoc = 0;
-	};
-	F5486B99034A85A801AEEDB1 = {
-		fRef = F5FF50BD02E53B9E01AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAViewAssociationController.m: __STDC__";
-		rLen = 0;
-		rLoc = 179;
-		rType = 0;
-		vrLen = 1261;
-		vrLoc = 0;
-	};
-	F5486B9A034A85A801AEEDB1 = {
-		fRef = F574ADDB020ACAC801AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAController.m: FSA_associateWithInterface:";
-		rLen = 0;
-		rLoc = 8336;
-		rType = 0;
-		vrLen = 1027;
-		vrLoc = 7296;
-	};
-	F5486B9B034A85A801AEEDB1 = {
-		fRef = F5FD788A034828E101AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAWindowManager.m: 270";
-		rLen = 0;
-		rLoc = 8244;
-		rType = 0;
-		vrLen = 1209;
-		vrLoc = 6919;
-	};
-	F5486B9C034A85A801AEEDB1 = {
-		fRef = F574ADDB020ACAC801AEEDB1;
-		isa = PBXTextBookmark;
-		name = "FSAController.m: FSA_associateWithInterface:";
-		rLen = 0;
-		rLoc = 8299;
-		rType = 0;
-		vrLen = 1094;
-		vrLoc = 7296;
-	};
-	F5486B9D034A85A801AEEDB1 = {
-		fRef = F523EA2B020CF06A01AEEC37;
-		isa = PBXTextBookmark;
-		name = "FSAnywhere.h: 9";
-		rLen = 0;
-		rLoc = 176;
-		rType = 0;
-		vrLen = 319;
-		vrLoc = 0;
 	};
 	F574ADDB020ACAC801AEEDB1 = {
Index: trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/F-Script Anywhere.pbproj/project.pbxproj	(revision 19)
@@ -366,5 +366,5 @@
 	<string>F-Script Anywhere</string>
 	<key>CFBundleGetInfoString</key>
-	<string>F-Script Anywhere 1.1.5, © 2002 Nicholas Riley</string>
+	<string>F-Script Anywhere 1.1.6d1, © 2002 Nicholas Riley</string>
 	<key>CFBundleIconFile</key>
 	<string>Application icon</string>
@@ -378,9 +378,9 @@
 	<string>APPL</string>
 	<key>CFBundleShortVersionString</key>
-	<string>1.1.5</string>
+	<string>1.1.6d1</string>
 	<key>CFBundleSignature</key>
 	<string>FSAn</string>
 	<key>CFBundleVersion</key>
-	<string>1.1.5</string>
+	<string>1.1.6d1</string>
 	<key>NSMainNibFile</key>
 	<string>MainMenu</string>
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAAppList.m
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAAppList.m	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAAppList.m	(revision 19)
@@ -69,4 +69,6 @@
 - (void)awakeFromNib;
 {
+    NSWindow *window = [tableView window];
+    
     processManager = [DeVercruesseProcessManager defaultManager];
     cocoaApps = [[NSMutableArray alloc] init];
@@ -79,8 +81,9 @@
         [[tableView tableColumnWithIdentifier: FSATableColumnIdentifier_checkMark]
             setDataCell: [[[NSImageCell alloc] init] autorelease]];
-    [[tableView window] setResizeIncrements: NSMakeSize(1, [tableView cellHeight])];
+    [window setResizeIncrements: NSMakeSize(1, [tableView cellHeight])];
 
     [self update];
-    [[tableView window] makeFirstResponder: tableView];
+    [window makeFirstResponder: tableView];
+    [window makeKeyAndOrderFront: self];
 }
 
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAController.h
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAController.h	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAController.h	(revision 19)
@@ -35,4 +35,5 @@
     System *system;
     FSAViewAssociationController *viewAssociationController;
+    unsigned interpreterNum;
 }
 
@@ -41,4 +42,5 @@
 
 - (FSInterpreterView *)interpreterView;
+- (NSString *)interpreterLabel;
 - (System *)system;
 
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAController.m
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAController.m	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAController.m	(revision 19)
@@ -28,4 +28,5 @@
 #import "FSAViewAssociationController.h"
 #import "FSAnywhere.h"
+#import "FSAWindowManager.h"
 #import <FScript/FSInterpreter.h>
 
@@ -107,4 +108,5 @@
             item = [fsaMenu addItemWithTitle: NSLocalizedStringFromTableInBundle(@"About F-Script AnywhereÉ", @"FSA", bundle, @"Title of Info Panel menu item") action:@selector(showInfo:) keyEquivalent: @""];
             [item setTarget: self];
+            [[FSAWindowManager sharedManager] setWindowMenu: fsaMenu];
         }
     }
@@ -118,5 +120,5 @@
     sel = [menuItem action];
     if (sel == @selector(showInfo:) || sel == @selector(createInterpreterWindow:)) return YES;
-    FSALog(@"-[FSAController validateMenuItem:] unknown menu item for validation: %@", menuItem);
+    FSALog(@"+[FSAController validateMenuItem:] unknown menu item for validation: %@", menuItem);
     return NO;
 }
@@ -129,5 +131,5 @@
 + (void)showInfo:(id)sender;
 {
-    int result = NSRunInformationalAlertPanel(@"About F-Script Anywhere", @"F-Script Anywhere lets you embed a F-Script interpreter in a Cocoa application while it is running.\n\nF-Script Anywhere is currently installed in this application.  To remove it, quit this application.\n\nFor more information about F-Script, please visit its Web site %@.", @"OK", @"Visit Web Site", nil, FSA_FScriptURL);
+    int result = NSRunInformationalAlertPanel([NSString stringWithFormat: @"About F-Script Anywhere (version %s)", FSA_VERSION], @"F-Script Anywhere lets you embed a F-Script interpreter in a Cocoa application while it is running.\n\nF-Script Anywhere is currently installed in this application.  To remove it, quit this application.\n\nFor more information about F-Script, please visit its Web site %@.", @"OK", @"Visit Web Site", nil, FSA_FScriptURL);
     if (result == NSAlertAlternateReturn) {
         [[NSWorkspace sharedWorkspace] openURL: [NSURL URLWithString: FSA_FScriptURL]];
@@ -144,8 +146,41 @@
 
     if (self != nil) {
-        NSString *appName = nil;
         NSWindow *window = [self window];
-
-        NSAssert(window != nil, @"Can't get interpreter window!");
+        NSString *label;
+        static unsigned numInterpWindows = 0;
+
+        NSAssert(window != nil, @"CanÕt get interpreter window!");
+        if (interpreterNum == 0) interpreterNum = ++numInterpWindows;
+        if ( (label = [self interpreterLabel]) != nil) {
+            [window setTitle: [NSString stringWithFormat: @"%@: %@", [window title], label]];
+        }
+
+        [window setLevel: NSNormalWindowLevel]; // XXX if set floating, it is globally floating!
+        [self showWindow: self];
+        [window makeKeyAndOrderFront: self];
+#warning this should go away when F-Script properly accepts firstResponder on the InterpreterView
+        [window makeFirstResponder: (NSView *)[[[self interpreterView] cliView] shellView]];
+        [[FSAWindowManager sharedManager] registerWindow: window];
+        system = [[[self interpreterView] interpreter] objectForIdentifier: @"sys" found: NULL];
+        [system retain];
+        NSAssert1([system isKindOfClass: [System class]], @"Initial value bound to identifier 'sys' is not a System object, but %@", system);
+    }
+    
+    return self;
+}
+
+- (void)dealloc;
+{
+    [system release];
+    [super dealloc];
+}
+
+- (NSString *)interpreterLabel;
+{
+    static NSString *appName = nil;
+    static BOOL retrievedAppName = NO;
+    
+    if (appName == nil) {
+        if (retrievedAppName) return nil;
         NS_DURING
             appName = [[[NSBundle mainBundle] infoDictionary] objectForKey: @"CFBundleName"];
@@ -153,25 +188,8 @@
             FSALog(@"Exception occurred while trying to obtain application name: %@", localException);
         NS_ENDHANDLER
-        if (appName != nil) {
-            [window setTitle: [NSString stringWithFormat: @"%@: %@", [window title], appName]];
-        }
-
-        [window setLevel: NSNormalWindowLevel]; // XXX if set floating, it is globally floating!
-        [self showWindow: self];
-        [window makeKeyAndOrderFront: self];
-#warning this should go away when F-Script properly accepts firstResponder on the InterpreterView
-        [window makeFirstResponder: (NSView *)[[[self interpreterView] cliView] shellView]];
-        system = [[[self interpreterView] interpreter] objectForIdentifier: @"sys" found: NULL];
-        [system retain];
-        NSAssert1([system isKindOfClass: [System class]], @"Initial value bound to identifier 'sys' is not a System object, but %@", system);
-    }
-    
-    return self;
-}
-
-- (void)dealloc;
-{
-    [system release];
-    [super dealloc];
+        retrievedAppName = YES;
+    }
+    if (interpreterNum == 1) return appName;
+    return [NSString stringWithFormat: @"%@ [%u]", appName, interpreterNum];
 }
 
@@ -194,8 +212,13 @@
 {
     NS_DURING
+        FSAWindowManager *wm = [FSAWindowManager sharedManager];
         if (viewAssociationController == nil) {
             viewAssociationController = [[FSAViewAssociationController alloc] initWithFSAController: self];
         }
         [viewAssociationController showWindow: self];
+        if (![wm windowIsRegistered: [viewAssociationController window]]) {
+            [wm registerSubordinateWindow: [viewAssociationController window]
+                                forWindow: [self window]];
+        }
     NS_HANDLER
         FSALog(@"%@", localException);
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAViewAssociationController.h
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAViewAssociationController.h	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAViewAssociationController.h	(revision 19)
@@ -38,5 +38,6 @@
     IBOutlet NSTextField *variableNameField;
     IBOutlet NSTextField *statusField;
-    NSView *selectedView;
+    NSCursor *bullseyeCursor;
+    id selectedElement;
     NSMenu *viewHierarchyMenu;
     FSInterpreter *interpreter;
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAViewAssociationController.m
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAViewAssociationController.m	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAViewAssociationController.m	(revision 19)
@@ -27,4 +27,5 @@
 #import "FSAViewAssociationController.h"
 #import "FSAController.h"
+#import "FSAWindowManager.h"
 #import "FSAnywhere.h"
 #import <FScript/FSInterpreter.h>
@@ -43,9 +44,15 @@
 
     if (self != nil) {
+        NSImage *bullseyeImage = [[NSImage alloc] initByReferencingFile: [[NSBundle bundleForClass: [self class]] pathForResource: @"Bullseye menu cursor" ofType: @"tiff"]];
+        NSString *label = [fsa interpreterLabel];
+        
         interpreter = [[[fsa interpreterView] interpreter] retain];
         system = [fsa system];
-        [self window];
+        [[self window] setResizeIncrements: NSMakeSize(1, 12)];
+        if (label != nil) [[self window] setTitle: [NSString stringWithFormat: @"%@: %@", [[self window] title], label]];
+        bullseyeCursor = [[NSCursor alloc] initWithImage: bullseyeImage hotSpot: NSMakePoint(6, 7)];
         [[NSNotificationCenter defaultCenter] addObserver: self selector: @selector(controlTextDidChange:) name: NSControlTextDidChangeNotification object: variableNameField];
         [[captureButton cell] setShowsStateBy: NSContentsCellMask | NSChangeGrayCellMask];
+        [captureButton setState: NSOffState];
         [self update: nil];
     }
@@ -56,6 +63,7 @@
 {
     [viewHierarchyMenu release];
-    [selectedView release];
+    [selectedElement release];
     [interpreter release];
+    [bullseyeCursor release];
     [[NSNotificationCenter defaultCenter] removeObserver: self];
     [super dealloc];
@@ -66,10 +74,10 @@
     NSString *variableName = [variableNameField stringValue];
     BOOL canAssignToVariable = NO;
-    [browseButton setEnabled: selectedView != nil];
+    [browseButton setEnabled: selectedElement != nil];
     [statusField setStringValue: @""];
     if ([variableName length] != 0) {
         if (![Compiler isValidIndentifier: variableName]) {
             [statusField setStringValue: @"Invalid name: contains spaces, punctuation or non-ASCII characters"];
-        } else if (selectedView != nil) {
+        } else if (selectedElement != nil) {
             [statusField setStringValue: @"Click ÒAssociateÓ to assign to this variable"];
             canAssignToVariable = YES;
@@ -80,11 +88,51 @@
 }
 
-- (void)stopCapturing;
+- (void)stopCapturingVoluntarily:(BOOL)voluntary;
 {
     FSALog(@"stopping capture");
+    [[NSNotificationCenter defaultCenter] removeObserver: self name: NSMenuWillSendActionNotification object: nil];
     [captureButton setState: NSOffState];
-    [statusField setStringValue: @""];
     [self update: nil];
-    [variableNameField becomeFirstResponder];
+    if (voluntary) {
+        FSALog(@"voluntary!");
+        [[self window] makeKeyAndOrderFront: self];
+        [bullseyeCursor pop];
+        [variableNameField becomeFirstResponder];        
+    }
+}
+
+- (void)_addElement:(id)element withLabel:(NSString *)label toSubmenuForItem:(NSMenuItem *)item;
+{
+    NSMenu *submenu = [item submenu];
+    NSMenuItem *subItem;
+    if (submenu == nil) {
+        id superElement = [item representedObject];
+        submenu = [[NSMenu alloc] initWithTitle: @""];
+        subItem = [submenu addItemWithTitle: NSStringFromClass([superElement class])
+                                     action: @selector(elementSelected:)
+                              keyEquivalent: @""];
+        [subItem setTarget: self];
+        [subItem setRepresentedObject: superElement];
+        [item setSubmenu: submenu];
+        [submenu release];
+    }
+    [submenu addItem: [NSMenuItem separatorItem]];
+    [submenu addItemWithTitle: label action: nil keyEquivalent: @""];
+    subItem = [submenu addItemWithTitle: [@"  "
+                stringByAppendingString: NSStringFromClass([element class])]
+                                           action: @selector(elementSelected:)
+                                    keyEquivalent: @""];
+    [subItem setTarget: self];
+    [subItem setRepresentedObject: element];
+}
+
+- (void)_addValueForSelector:(SEL)sel withLabel:(NSString *)label toSubmenuForItem:(NSMenuItem *)item;
+{
+    id obj = [item representedObject];
+    if ([obj respondsToSelector: sel]) {
+        id value = [obj performSelector: sel];
+        if (value == nil) return;
+        [self _addElement: value withLabel: label toSubmenuForItem: item];
+    }
 }
 
@@ -99,4 +147,9 @@
     [item setTarget: self];
     [item setRepresentedObject: element];
+    [self _addValueForSelector: @selector(windowController) withLabel: @"Window Controller" toSubmenuForItem: item];
+    [self _addValueForSelector: @selector(delegate) withLabel: @"Delegate" toSubmenuForItem: item];
+    [self _addValueForSelector: @selector(dataSource) withLabel: @"Data Source" toSubmenuForItem: item];
+    [self _addValueForSelector: @selector(target) withLabel: @"Target" toSubmenuForItem: item];
+    [self _addValueForSelector: @selector(cell) withLabel: @"Cell" toSubmenuForItem: item];
 }
 
@@ -106,14 +159,34 @@
     NSView *view, *superView = nil, *contentView;
     NSWindow *eventWindow;
-
-    FSALog(@"capturing one");
+    static unsigned captureCount = 0;
+    unsigned capture = captureCount++;
+    
+    FSALog(@"%4u>capturing one", capture);
     [captureButton setState: NSOnState];
-
-    event = [NSApp nextEventMatchingMask: NSLeftMouseDownMask | NSRightMouseDownMask | NSKeyUpMask
+    [bullseyeCursor push];
+
+captureElement:
+    [bullseyeCursor set];
+    FSALog(@"%4u waiting for event...", capture);
+    [[NSNotificationCenter defaultCenter] addObserver: self selector: @selector(menuWillSendAction:) name: NSMenuWillSendActionNotification object: nil];
+    event = [NSApp nextEventMatchingMask: NSLeftMouseDownMask | NSRightMouseDownMask | NSOtherMouseDownMask | NSKeyUpMask | NSAppKitDefinedMask
                                untilDate: [NSDate distantFuture]
                                   inMode: NSEventTrackingRunLoopMode
                                  dequeue: YES];
+    FSALog(@"%4u got %@", capture, event);
+    [[NSNotificationCenter defaultCenter] removeObserver: self name: NSMenuWillSendActionNotification object: nil];
+    if ([event type] == NSAppKitDefined) {
+        if ([event subtype] == NSApplicationDeactivatedEventType) {
+            [NSApp discardEventsMatchingMask: NSAnyEventMask beforeEvent: event];
+            [self stopCapturingVoluntarily: NO];
+            [NSApp sendEvent: event];
+            return;
+        }
+        goto captureElement;
+    }
     if ([event type] == NSKeyUp) {
-        [self stopCapturing];
+        [NSApp discardEventsMatchingMask: NSAnyEventMask & ~NSKeyUpMask beforeEvent: event];
+        FSALog(@"%4u<stop capture [key up]", capture);
+        [self stopCapturingVoluntarily: YES];
         return;
     }
@@ -125,5 +198,11 @@
         view = [[contentView superview] hitTest: [event locationInWindow]];
         if (view == captureButton) {
-            [self stopCapturing];
+            [NSApp discardEventsMatchingMask: NSAnyEventMask & ~NSKeyUpMask beforeEvent: event];
+            FSALog(@"%4u<stop capture [capture button]", capture);
+            [self stopCapturingVoluntarily: YES];
+            NS_VOIDRETURN;
+        }
+        if (view == nil) {
+            [self captureOneView];
             NS_VOIDRETURN;
         }
@@ -144,6 +223,6 @@
     NS_ENDHANDLER
     [NSMenu popUpContextMenu: viewHierarchyMenu withEvent: event forView: view];
-    if ([captureButton state] == NSOnState)
-        [self captureOneView];
+    if ([captureButton state] == NSOnState) goto captureElement;
+    FSALog(@"%4u<stop capture [fell through to end]", capture);
 }
 
@@ -151,17 +230,17 @@
 {
     [statusField setStringValue: @"Click inside one of this applicationÕs windows to select."];
-    [selectedView release]; selectedView = nil;
+    [selectedElement release]; selectedElement = nil;
     [self update: nil];
     [self captureOneView];
 }
 
-- (void)elementSelected:(NSMenuItem *)sender;
-{
-    NSView *element = [sender representedObject];
-    FSALog(@"element selected: %@", sender);
+- (void)setSelectedElement:(id)element;
+{
+    FSALog(@"element selected: %@", element);
     NS_DURING
         [descriptionField setStringValue: [element description]];
-        [selectedView release];
-        selectedView = [element retain];
+        [selectedElement release];
+        selectedElement = [element retain];
+        [[self window] orderFront: self];
     NS_HANDLER
         [descriptionField setStringValue:
@@ -169,5 +248,23 @@
     NS_ENDHANDLER
     [viewHierarchyMenu release]; viewHierarchyMenu = nil;
+}
+
+- (void)elementSelected:(NSMenuItem *)sender;
+{
+    [self setSelectedElement: [sender representedObject]];
     [self captureOneView];
+}
+
+- (void)menuWillSendAction:(NSNotification *)notification;
+{
+    NSMenuItem *item = [[notification userInfo] objectForKey: @"MenuItem"];
+    [self setSelectedElement: item];
+    [NSApp discardEventsMatchingMask: NSAnyEventMask beforeEvent: [NSApp currentEvent]];
+    // we're already capturing, don't do it again
+}
+
+- (void)controlTextDidChange:(NSNotification *)notification;
+{
+    [self update: nil];
 }
 
@@ -178,5 +275,5 @@
         NSString *variableName = [variableNameField stringValue];
         [statusField setStringValue: @"AssociatingÉ"];
-        [interpreter setObject: selectedView forIdentifier: variableName];
+        [interpreter setObject: selectedElement forIdentifier: variableName];
         [statusField setStringValue: [NSString stringWithFormat: @"Assigned variable Ò%@Ó", variableName]];
     NS_HANDLER
@@ -188,12 +285,7 @@
 {
     FSALog(@"system: %@", system);
-    [system browse: selectedView];
+    [system browse: selectedElement];
     [statusField setStringValue: @"Opened object browser"];
 }
 
-- (void)controlTextDidChange:(NSNotification *)notification;
-{
-    [self update: nil];
-}
-
 @end
Index: trunk/Cocoa/F-Script Anywhere/Source/FSAnywhere.h
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/FSAnywhere.h	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/FSAnywhere.h	(revision 19)
@@ -10,5 +10,5 @@
 
 #define FSA_DEBUG 0
-#define FSA_VERSION "1.1.2"
+#define FSA_VERSION "1.1.5"
 
 extern void FSALog(NSString *fmt, ...);
Index: trunk/Cocoa/F-Script Anywhere/Source/NJRLabeledImageCell.m
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/NJRLabeledImageCell.m	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/NJRLabeledImageCell.m	(revision 19)
@@ -105,5 +105,5 @@
         if (preferredRep != nil && abs([preferredRep size].width - imageSize.width) < 1 && abs([preferredRep size].height != imageSize.height) < 1) {
             [self setImage: [imageCacheSource cachedImage]];
-            FSALog(@"%@ accepting cached image: %@", [self stringValue], preferredRep);
+            // FSALog(@"%@ accepting cached image: %@", [self stringValue], preferredRep);
         } else {
             NSArray	*imageReps = [image representations];
@@ -112,5 +112,5 @@
             
             preferredRep = [imageReps objectAtIndex: 0];
-            FSALog(@"%@ rejecting cached image: %@", [self stringValue], preferredRep);
+            // FSALog(@"%@ rejecting cached image: %@", [self stringValue], preferredRep);
             for (i = 1 ; i < repCount ; i++) {
                 rep = [imageReps objectAtIndex: i];
Index: trunk/Cocoa/F-Script Anywhere/Source/Read Me
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/Read Me	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/Read Me	(revision 19)
@@ -218,4 +218,6 @@
 ---------------
 
+1.1.6 -                 - better manage window on startup (only display
+                          when launch complete)
 1.1.5 - 1 October 2002  - better identify Cocoa vs. Carbon applications
                           on Jaguar; added hierarchical window list to
Index: trunk/Cocoa/F-Script Anywhere/Source/VERSION
===================================================================
--- trunk/Cocoa/F-Script Anywhere/Source/VERSION	(revision 16)
+++ trunk/Cocoa/F-Script Anywhere/Source/VERSION	(revision 19)
@@ -1,1 +1,1 @@
-1.1.5
+1.1.6d1
